Bug 885122 - [RFE] lesspipe gpg support and custom format support
[RFE] lesspipe gpg support and custom format support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: less (Show other bugs)
18
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Jozef Mlich
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-07 09:43 EST by Aleksandar Kostadinov
Modified: 2015-08-02 19:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Local less filter scripts and possibility to view gpg encrypted files directly Reason: - Result (if any):
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 07:01:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for lesspipe to support gpg (422 bytes, patch)
2012-12-07 10:03 EST, Aleksandar Kostadinov
no flags Details | Diff
patch for support of ~/.lessfilter (438 bytes, patch)
2012-12-07 14:11 EST, Aleksandar Kostadinov
akostadi: review?
Details | Diff

  None (edit)
Description Aleksandar Kostadinov 2012-12-07 09:43:53 EST
I see in fedora 18 /bin/lesspipe.sh but /etc/profile.d/less.sh and less.csh expect it to be in /usr/bin/ instead.
Comment 1 Aleksandar Kostadinov 2012-12-07 09:54:12 EST
hmm, excuse me, that's not the problem. It seems lesspipe is just not working like on a debian based distro. There is a ~/.lessfilter imported to support user-defined file formats. I just wanted to be able to read gpg encrypted text files.

So please consider this a RFE to add gpg support and user-defined formats through ~/.lessfilter
Comment 2 Aleksandar Kostadinov 2012-12-07 10:03:18 EST
Created attachment 659437 [details]
patch for lesspipe to support gpg

attaching a patch for gpg support
Comment 3 Aleksandar Kostadinov 2012-12-07 14:11:12 EST
Created attachment 659549 [details]
patch for support of ~/.lessfilter
Comment 4 Martin Bříza 2012-12-21 05:05:01 EST
This seems to be a valid and nice improvement to me. I'll have a look at it.
Comment 5 Fedora Admin XMLRPC Client 2013-04-03 03:17:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fridolín Pokorný 2013-04-11 11:14:03 EDT
GPG support and ~/.lessfilter.sh support were added in rawhide by scm-commit ( http://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20130408/997688.html ). I eventually do plan to add these patches to f18 in next cumulative release.
Comment 8 Fedora Admin XMLRPC Client 2013-07-11 08:52:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2013-07-11 08:58:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2013-08-15 06:56:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2013-12-21 10:14:27 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Jozef Mlich 2014-01-09 07:01:44 EST
The bug was fixed in Fedora 19.

Note You need to log in before you can comment on or make changes to this bug.